public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-tcltk/tkdnd/
@ 2018-11-02 20:33 Alfredo Tupone
  0 siblings, 0 replies; 14+ messages in thread
From: Alfredo Tupone @ 2018-11-02 20:33 UTC (permalink / raw
  To: gentoo-commits

commit:     80e71d708d91302d8c4099163f20a5107800e553
Author:     Tupone Alfredo <tupone <AT> gentoo <DOT> org>
AuthorDate: Fri Nov  2 20:33:28 2018 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Fri Nov  2 20:33:28 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=80e71d70

dev-tcltk/tkdnd: Version bump to 2.8

Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>
Package-Manager: Portage-2.3.49, Repoman-2.3.11

 dev-tcltk/tkdnd/Manifest         |  1 +
 dev-tcltk/tkdnd/tkdnd-2.8.ebuild | 40 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 41 insertions(+)

diff --git a/dev-tcltk/tkdnd/Manifest b/dev-tcltk/tkdnd/Manifest
index 9bef3a3d615..43d5edd80dc 100644
--- a/dev-tcltk/tkdnd/Manifest
+++ b/dev-tcltk/tkdnd/Manifest
@@ -1,2 +1,3 @@
 DIST tkdnd2.2.tar.gz 501708 BLAKE2B 388a488fa6a6f86041182d741e4bb45b3cf86c8feb39de15010dbd21cddb536800cad0df23b5c27afec83bd4550c759534986b24804aefd007f0de4f5ecbf3cf SHA512 96f3b7209d82801b69932531b987cfe2c3367fbaaffd2198afc84bf21643437db8a9958511e31ce2c36896538ff8f8c9237950d0f82b832f7133fb1e5768fd26
 DIST tkdnd2.6-src.tar.gz 180278 BLAKE2B 598bba80e239440eae5e3dade176a015a33f426a387fbd8dcf96fa7b8644665d05cc2e52a86be40e2c40922211b200c484bde7dc69da1b252922ed203740fc87 SHA512 2ce1be9b49c21bc67102575420311c1ec764493315791c8a76313cae6d22846b3049dd85cdc0b2f28592889432b85103b0fa207445f678dbe22f988eb1d6fc87
+DIST tkdnd2.8-src.tar.gz 185025 BLAKE2B 3f7c1b728d12c2ad7d7fea82dae1c3f29207b70fd382fb6aa7aa6602602b0a9b5c4604347b9b1aa1faff7c5952d9557046157cb6af4268b56483f7398d4b55e3 SHA512 0cca1783ed4e481565fa23cebc12382f223c8a02f24a2795af3818d56769d265b45e2ce74d2a4a3a8203718bad6426efe37a5382e8376dd6a0820ef81866050e

diff --git a/dev-tcltk/tkdnd/tkdnd-2.8.ebuild b/dev-tcltk/tkdnd/tkdnd-2.8.ebuild
new file mode 100644
index 00000000000..b7aecb63ebf
--- /dev/null
+++ b/dev-tcltk/tkdnd/tkdnd-2.8.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+inherit autotools-utils eutils
+
+MY_PN="TkDND"
+
+DESCRIPTION="Extension that adds native drag & drop capabilities to the tk toolkit"
+HOMEPAGE="http://www.ellogon.org/petasis/tcltk-projects/tkdnd/"
+SRC_URI="mirror://sourceforge/${PN}/${MY_PN}/${MY_PN}%20${PV}/${P/-/}-src.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="debug threads X"
+
+DEPEND="dev-lang/tk:="
+RDEPEND=${DEPEND}
+
+S=${WORKDIR}/${P/-/}
+
+RESTRICT="test"
+
+src_prepare() {
+	sed \
+		-e 's:-O2::g' \
+		-e 's:-fomit-frame-pointer::g' \
+		-e 's:-pipe::g' \
+		-i configure tclconfig/tcl.m4 || die
+}
+
+src_configure() {
+	local myeconfargs
+	use X && myeconfargs+=( --with-x )
+	use debug && myeconfargs+=( --with-symbols )
+	use threads && myeconfargs+=( --enable-threads )
+	autotools-utils_src_configure
+}


^ permalink raw reply related	[flat|nested] 14+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-tcltk/tkdnd/
@ 2019-09-10  7:06 Agostino Sarubbo
  0 siblings, 0 replies; 14+ messages in thread
From: Agostino Sarubbo @ 2019-09-10  7:06 UTC (permalink / raw
  To: gentoo-commits

commit:     9a83a1a16fa76d7c3f6fd34a3559e2782ce7f3d3
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 10 07:06:24 2019 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Tue Sep 10 07:06:24 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9a83a1a1

dev-tcltk/tkdnd: amd64 stable wrt bug #693898

Package-Manager: Portage-2.3.69, Repoman-2.3.16
RepoMan-Options: --include-arches="amd64"
Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 dev-tcltk/tkdnd/tkdnd-2.8.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/dev-tcltk/tkdnd/tkdnd-2.8.ebuild b/dev-tcltk/tkdnd/tkdnd-2.8.ebuild
index b7aecb63ebf..c975a258b5a 100644
--- a/dev-tcltk/tkdnd/tkdnd-2.8.ebuild
+++ b/dev-tcltk/tkdnd/tkdnd-2.8.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Authors
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=5
@@ -13,7 +13,7 @@ SRC_URI="mirror://sourceforge/${PN}/${MY_PN}/${MY_PN}%20${PV}/${P/-/}-src.tar.gz
 
 LICENSE="BSD"
 SLOT="0"
-KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="amd64 ~x86 ~amd64-linux ~x86-linux"
 IUSE="debug threads X"
 
 DEPEND="dev-lang/tk:="


^ permalink raw reply related	[flat|nested] 14+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-tcltk/tkdnd/
@ 2019-09-10  7:10 Agostino Sarubbo
  0 siblings, 0 replies; 14+ messages in thread
From: Agostino Sarubbo @ 2019-09-10  7:10 UTC (permalink / raw
  To: gentoo-commits

commit:     3d8483de2c335c904119a1984bd25f24a0495788
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 10 07:10:25 2019 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Tue Sep 10 07:10:25 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3d8483de

dev-tcltk/tkdnd: x86 stable wrt bug #693898

Package-Manager: Portage-2.3.69, Repoman-2.3.16
RepoMan-Options: --include-arches="x86"
Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 dev-tcltk/tkdnd/tkdnd-2.8.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-tcltk/tkdnd/tkdnd-2.8.ebuild b/dev-tcltk/tkdnd/tkdnd-2.8.ebuild
index c975a258b5a..e1855dc6cd8 100644
--- a/dev-tcltk/tkdnd/tkdnd-2.8.ebuild
+++ b/dev-tcltk/tkdnd/tkdnd-2.8.ebuild
@@ -13,7 +13,7 @@ SRC_URI="mirror://sourceforge/${PN}/${MY_PN}/${MY_PN}%20${PV}/${P/-/}-src.tar.gz
 
 LICENSE="BSD"
 SLOT="0"
-KEYWORDS="amd64 ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="amd64 x86 ~amd64-linux ~x86-linux"
 IUSE="debug threads X"
 
 DEPEND="dev-lang/tk:="


^ permalink raw reply related	[flat|nested] 14+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-tcltk/tkdnd/
@ 2019-09-10  9:35 Alfredo Tupone
  0 siblings, 0 replies; 14+ messages in thread
From: Alfredo Tupone @ 2019-09-10  9:35 UTC (permalink / raw
  To: gentoo-commits

commit:     c5cbd20b128a7d2ea3d08dda10c269d213f30d25
Author:     Tupone Alfredo <tupone <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 10 09:35:18 2019 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Tue Sep 10 09:35:18 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c5cbd20b

dev-tcltk/tkdnd: remove old versions

Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 dev-tcltk/tkdnd/Manifest         |  2 --
 dev-tcltk/tkdnd/tkdnd-2.2.ebuild | 40 ----------------------------------------
 dev-tcltk/tkdnd/tkdnd-2.6.ebuild | 40 ----------------------------------------
 3 files changed, 82 deletions(-)

diff --git a/dev-tcltk/tkdnd/Manifest b/dev-tcltk/tkdnd/Manifest
index 43d5edd80dc..03096432358 100644
--- a/dev-tcltk/tkdnd/Manifest
+++ b/dev-tcltk/tkdnd/Manifest
@@ -1,3 +1 @@
-DIST tkdnd2.2.tar.gz 501708 BLAKE2B 388a488fa6a6f86041182d741e4bb45b3cf86c8feb39de15010dbd21cddb536800cad0df23b5c27afec83bd4550c759534986b24804aefd007f0de4f5ecbf3cf SHA512 96f3b7209d82801b69932531b987cfe2c3367fbaaffd2198afc84bf21643437db8a9958511e31ce2c36896538ff8f8c9237950d0f82b832f7133fb1e5768fd26
-DIST tkdnd2.6-src.tar.gz 180278 BLAKE2B 598bba80e239440eae5e3dade176a015a33f426a387fbd8dcf96fa7b8644665d05cc2e52a86be40e2c40922211b200c484bde7dc69da1b252922ed203740fc87 SHA512 2ce1be9b49c21bc67102575420311c1ec764493315791c8a76313cae6d22846b3049dd85cdc0b2f28592889432b85103b0fa207445f678dbe22f988eb1d6fc87
 DIST tkdnd2.8-src.tar.gz 185025 BLAKE2B 3f7c1b728d12c2ad7d7fea82dae1c3f29207b70fd382fb6aa7aa6602602b0a9b5c4604347b9b1aa1faff7c5952d9557046157cb6af4268b56483f7398d4b55e3 SHA512 0cca1783ed4e481565fa23cebc12382f223c8a02f24a2795af3818d56769d265b45e2ce74d2a4a3a8203718bad6426efe37a5382e8376dd6a0820ef81866050e

diff --git a/dev-tcltk/tkdnd/tkdnd-2.2.ebuild b/dev-tcltk/tkdnd/tkdnd-2.2.ebuild
deleted file mode 100644
index 3f608bac2cd..00000000000
--- a/dev-tcltk/tkdnd/tkdnd-2.2.ebuild
+++ /dev/null
@@ -1,40 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=4
-
-inherit autotools-utils eutils
-
-MY_PN="TkDND"
-
-DESCRIPTION="Extension that adds native drag & drop capabilities to the tk toolkit"
-HOMEPAGE="http://www.ellogon.org/petasis/tcltk-projects/tkdnd/"
-SRC_URI="mirror://sourceforge/${PN}/${MY_PN}/${MY_PN}%20${PV}/${P/-/}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
-IUSE="debug threads X"
-
-RESTRICT="test"
-
-DEPEND="dev-lang/tk"
-RDEPEND=${DEPEND}
-
-S=${WORKDIR}/${P/-/}
-
-src_prepare() {
-	sed \
-		-e 's:-O2::g' \
-		-e 's:-fomit-frame-pointer::g' \
-		-e 's:-pipe::g' \
-		-i configure tclconfig/tcl.m4 || die
-}
-
-src_configure() {
-	local myeconfargs
-	use X && myeconfargs+=( --with-x )
-	use debug && myeconfargs+=( --with-symbols )
-	use threads && myeconfargs+=( --enable-threads )
-	autotools-utils_src_configure
-}

diff --git a/dev-tcltk/tkdnd/tkdnd-2.6.ebuild b/dev-tcltk/tkdnd/tkdnd-2.6.ebuild
deleted file mode 100644
index 77ed496b529..00000000000
--- a/dev-tcltk/tkdnd/tkdnd-2.6.ebuild
+++ /dev/null
@@ -1,40 +0,0 @@
-# Copyright 1999-2014 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-inherit autotools-utils eutils
-
-MY_PN="TkDND"
-
-DESCRIPTION="Extension that adds native drag & drop capabilities to the tk toolkit"
-HOMEPAGE="http://www.ellogon.org/petasis/tcltk-projects/tkdnd/"
-SRC_URI="mirror://sourceforge/${PN}/${MY_PN}/${MY_PN}%20${PV}/${P/-/}-src.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
-IUSE="debug threads X"
-
-DEPEND="dev-lang/tk"
-RDEPEND=${DEPEND}
-
-S=${WORKDIR}/${P/-/}
-
-RESTRICT="test"
-
-src_prepare() {
-	sed \
-		-e 's:-O2::g' \
-		-e 's:-fomit-frame-pointer::g' \
-		-e 's:-pipe::g' \
-		-i configure tclconfig/tcl.m4 || die
-}
-
-src_configure() {
-	local myeconfargs
-	use X && myeconfargs+=( --with-x )
-	use debug && myeconfargs+=( --with-symbols )
-	use threads && myeconfargs+=( --enable-threads )
-	autotools-utils_src_configure
-}


^ permalink raw reply related	[flat|nested] 14+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-tcltk/tkdnd/
@ 2019-12-17 20:12 Alfredo Tupone
  0 siblings, 0 replies; 14+ messages in thread
From: Alfredo Tupone @ 2019-12-17 20:12 UTC (permalink / raw
  To: gentoo-commits

commit:     5b12ef583daf6140a1ae5debf1192a80153370f2
Author:     Tupone Alfredo <tupone <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 17 20:12:36 2019 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Tue Dec 17 20:12:36 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5b12ef58

dev-tcltk/tkdnd: version bump to 2.9.2

Package-Manager: Portage-2.3.79, Repoman-2.3.16
Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 dev-tcltk/tkdnd/Manifest           |  1 +
 dev-tcltk/tkdnd/tkdnd-2.9.2.ebuild | 38 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/dev-tcltk/tkdnd/Manifest b/dev-tcltk/tkdnd/Manifest
index 03096432358..34f7972cc74 100644
--- a/dev-tcltk/tkdnd/Manifest
+++ b/dev-tcltk/tkdnd/Manifest
@@ -1 +1,2 @@
+DIST tkdnd-release-test-v2.9.2.tar.gz 573739 BLAKE2B 4e9cae26542cc7774a0faf3d91a8a3f3b3b598735fcdb4e0565be26893514fe2e3f301ecaa7c698913f570b30f37ba0e2e890c6651ceebbc5d6cd9f66caf57c8 SHA512 dd1538ad884e8287d9c90c3b1565b95a047f552a271f921b0d0d7cb7bde8d8d6ad7e8c3247b647c09080c2e23c57ca11c30bde516cf66abcbe1dac6dd0e7cdc7
 DIST tkdnd2.8-src.tar.gz 185025 BLAKE2B 3f7c1b728d12c2ad7d7fea82dae1c3f29207b70fd382fb6aa7aa6602602b0a9b5c4604347b9b1aa1faff7c5952d9557046157cb6af4268b56483f7398d4b55e3 SHA512 0cca1783ed4e481565fa23cebc12382f223c8a02f24a2795af3818d56769d265b45e2ce74d2a4a3a8203718bad6426efe37a5382e8376dd6a0820ef81866050e

diff --git a/dev-tcltk/tkdnd/tkdnd-2.9.2.ebuild b/dev-tcltk/tkdnd/tkdnd-2.9.2.ebuild
new file mode 100644
index 00000000000..bdb92d66389
--- /dev/null
+++ b/dev-tcltk/tkdnd/tkdnd-2.9.2.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_P=${PN}-release-test-v${PV}
+
+DESCRIPTION="Adds native drag & drop capabilities to tk toolkit"
+HOMEPAGE="http://www.ellogon.org/petasis/tcltk-projects/tkdnd/"
+SRC_URI="https://github.com/petasis/tkdnd/archive/${MY_P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="debug threads X"
+
+DEPEND="dev-lang/tk:="
+RDEPEND=${DEPEND}
+
+S=${WORKDIR}/${PN}-${MY_P}
+
+RESTRICT="test"
+
+src_prepare() {
+	sed \
+		-e 's:-O2::g' \
+		-e 's:-fomit-frame-pointer::g' \
+		-e 's:-pipe::g' \
+		-i configure tclconfig/tcl.m4 || die
+	default
+}
+
+src_configure() {
+	econf \
+		$(use_with X x) \
+		$(use_enable debug symbols) \
+		$(use_enable threads)
+}


^ permalink raw reply related	[flat|nested] 14+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-tcltk/tkdnd/
@ 2020-01-03 12:00 Agostino Sarubbo
  0 siblings, 0 replies; 14+ messages in thread
From: Agostino Sarubbo @ 2020-01-03 12:00 UTC (permalink / raw
  To: gentoo-commits

commit:     bd060522e8fa64c0adefa561cb7f914c9f0fe0d2
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Fri Jan  3 11:59:07 2020 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Fri Jan  3 11:59:07 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bd060522

dev-tcltk/tkdnd: amd64 stable wrt bug #704582

Package-Manager: Portage-2.3.79, Repoman-2.3.16
RepoMan-Options: --include-arches="amd64"
Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 dev-tcltk/tkdnd/tkdnd-2.9.2.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/dev-tcltk/tkdnd/tkdnd-2.9.2.ebuild b/dev-tcltk/tkdnd/tkdnd-2.9.2.ebuild
index bdb92d66389..aec95573ffe 100644
--- a/dev-tcltk/tkdnd/tkdnd-2.9.2.ebuild
+++ b/dev-tcltk/tkdnd/tkdnd-2.9.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -11,7 +11,7 @@ SRC_URI="https://github.com/petasis/tkdnd/archive/${MY_P}.tar.gz"
 
 LICENSE="BSD"
 SLOT="0"
-KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="amd64 ~x86 ~amd64-linux ~x86-linux"
 IUSE="debug threads X"
 
 DEPEND="dev-lang/tk:="


^ permalink raw reply related	[flat|nested] 14+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-tcltk/tkdnd/
@ 2020-01-03 14:30 Agostino Sarubbo
  0 siblings, 0 replies; 14+ messages in thread
From: Agostino Sarubbo @ 2020-01-03 14:30 UTC (permalink / raw
  To: gentoo-commits

commit:     219c0a06a35f37f71fad24b80ccdbee55b894967
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Fri Jan  3 14:30:12 2020 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Fri Jan  3 14:30:12 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=219c0a06

dev-tcltk/tkdnd: x86 stable wrt bug #704582

Package-Manager: Portage-2.3.79, Repoman-2.3.16
RepoMan-Options: --include-arches="x86"
Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 dev-tcltk/tkdnd/tkdnd-2.9.2.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-tcltk/tkdnd/tkdnd-2.9.2.ebuild b/dev-tcltk/tkdnd/tkdnd-2.9.2.ebuild
index aec95573ffe..efb83f079b8 100644
--- a/dev-tcltk/tkdnd/tkdnd-2.9.2.ebuild
+++ b/dev-tcltk/tkdnd/tkdnd-2.9.2.ebuild
@@ -11,7 +11,7 @@ SRC_URI="https://github.com/petasis/tkdnd/archive/${MY_P}.tar.gz"
 
 LICENSE="BSD"
 SLOT="0"
-KEYWORDS="amd64 ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="amd64 x86 ~amd64-linux ~x86-linux"
 IUSE="debug threads X"
 
 DEPEND="dev-lang/tk:="


^ permalink raw reply related	[flat|nested] 14+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-tcltk/tkdnd/
@ 2020-01-03 19:50 Alfredo Tupone
  0 siblings, 0 replies; 14+ messages in thread
From: Alfredo Tupone @ 2020-01-03 19:50 UTC (permalink / raw
  To: gentoo-commits

commit:     dcb3fdbce455e6a03cf7b38e83131e6135556b6d
Author:     Tupone Alfredo <tupone <AT> gentoo <DOT> org>
AuthorDate: Fri Jan  3 19:49:54 2020 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Fri Jan  3 19:50:30 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dcb3fdbc

dev-tcltk/tkdnd: remove old version

Package-Manager: Portage-2.3.79, Repoman-2.3.16
Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 dev-tcltk/tkdnd/Manifest         |  1 -
 dev-tcltk/tkdnd/tkdnd-2.8.ebuild | 40 ----------------------------------------
 2 files changed, 41 deletions(-)

diff --git a/dev-tcltk/tkdnd/Manifest b/dev-tcltk/tkdnd/Manifest
index 34f7972cc74..9ac6ca2ccc9 100644
--- a/dev-tcltk/tkdnd/Manifest
+++ b/dev-tcltk/tkdnd/Manifest
@@ -1,2 +1 @@
 DIST tkdnd-release-test-v2.9.2.tar.gz 573739 BLAKE2B 4e9cae26542cc7774a0faf3d91a8a3f3b3b598735fcdb4e0565be26893514fe2e3f301ecaa7c698913f570b30f37ba0e2e890c6651ceebbc5d6cd9f66caf57c8 SHA512 dd1538ad884e8287d9c90c3b1565b95a047f552a271f921b0d0d7cb7bde8d8d6ad7e8c3247b647c09080c2e23c57ca11c30bde516cf66abcbe1dac6dd0e7cdc7
-DIST tkdnd2.8-src.tar.gz 185025 BLAKE2B 3f7c1b728d12c2ad7d7fea82dae1c3f29207b70fd382fb6aa7aa6602602b0a9b5c4604347b9b1aa1faff7c5952d9557046157cb6af4268b56483f7398d4b55e3 SHA512 0cca1783ed4e481565fa23cebc12382f223c8a02f24a2795af3818d56769d265b45e2ce74d2a4a3a8203718bad6426efe37a5382e8376dd6a0820ef81866050e

diff --git a/dev-tcltk/tkdnd/tkdnd-2.8.ebuild b/dev-tcltk/tkdnd/tkdnd-2.8.ebuild
deleted file mode 100644
index e1855dc6cd8..00000000000
--- a/dev-tcltk/tkdnd/tkdnd-2.8.ebuild
+++ /dev/null
@@ -1,40 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-inherit autotools-utils eutils
-
-MY_PN="TkDND"
-
-DESCRIPTION="Extension that adds native drag & drop capabilities to the tk toolkit"
-HOMEPAGE="http://www.ellogon.org/petasis/tcltk-projects/tkdnd/"
-SRC_URI="mirror://sourceforge/${PN}/${MY_PN}/${MY_PN}%20${PV}/${P/-/}-src.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="amd64 x86 ~amd64-linux ~x86-linux"
-IUSE="debug threads X"
-
-DEPEND="dev-lang/tk:="
-RDEPEND=${DEPEND}
-
-S=${WORKDIR}/${P/-/}
-
-RESTRICT="test"
-
-src_prepare() {
-	sed \
-		-e 's:-O2::g' \
-		-e 's:-fomit-frame-pointer::g' \
-		-e 's:-pipe::g' \
-		-i configure tclconfig/tcl.m4 || die
-}
-
-src_configure() {
-	local myeconfargs
-	use X && myeconfargs+=( --with-x )
-	use debug && myeconfargs+=( --with-symbols )
-	use threads && myeconfargs+=( --enable-threads )
-	autotools-utils_src_configure
-}


^ permalink raw reply related	[flat|nested] 14+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-tcltk/tkdnd/
@ 2022-12-04 21:29 Alfredo Tupone
  0 siblings, 0 replies; 14+ messages in thread
From: Alfredo Tupone @ 2022-12-04 21:29 UTC (permalink / raw
  To: gentoo-commits

commit:     255ee2ce1ffbdd6a40a6d6f87985ccb13b84e4c4
Author:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Sun Dec  4 21:29:20 2022 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Sun Dec  4 21:29:20 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=255ee2ce

dev-tcltk/tkdnd: add github upstream metadata

Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 dev-tcltk/tkdnd/metadata.xml | 1 +
 1 file changed, 1 insertion(+)

diff --git a/dev-tcltk/tkdnd/metadata.xml b/dev-tcltk/tkdnd/metadata.xml
index 59eff6d3e6df..5b6e2e2055fe 100644
--- a/dev-tcltk/tkdnd/metadata.xml
+++ b/dev-tcltk/tkdnd/metadata.xml
@@ -7,5 +7,6 @@
 	</maintainer>
 	<upstream>
 		<remote-id type="sourceforge">tkdnd</remote-id>
+		<remote-id type="github">petasis/tkdnd</remote-id>
 	</upstream>
 </pkgmetadata>


^ permalink raw reply related	[flat|nested] 14+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-tcltk/tkdnd/
@ 2023-01-14  9:45 Alfredo Tupone
  0 siblings, 0 replies; 14+ messages in thread
From: Alfredo Tupone @ 2023-01-14  9:45 UTC (permalink / raw
  To: gentoo-commits

commit:     b7536c6c24679b1e7fc06e2b3457fd635b58ffb6
Author:     Alexander Miller <alex.miller <AT> gmx <DOT> de>
AuthorDate: Tue Jan 10 23:09:08 2023 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Sat Jan 14 09:44:34 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b7536c6c

dev-tcltk/tkdnd: Fix HOMEPAGE

Signed-off-by: Alexander Miller <alex.miller <AT> gmx.de>
Closes: https://github.com/gentoo/gentoo/pull/29058
Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 dev-tcltk/tkdnd/tkdnd-2.9.2.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/dev-tcltk/tkdnd/tkdnd-2.9.2.ebuild b/dev-tcltk/tkdnd/tkdnd-2.9.2.ebuild
index efb83f079b83..d9d4041ec14d 100644
--- a/dev-tcltk/tkdnd/tkdnd-2.9.2.ebuild
+++ b/dev-tcltk/tkdnd/tkdnd-2.9.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -6,7 +6,7 @@ EAPI=7
 MY_P=${PN}-release-test-v${PV}
 
 DESCRIPTION="Adds native drag & drop capabilities to tk toolkit"
-HOMEPAGE="http://www.ellogon.org/petasis/tcltk-projects/tkdnd/"
+HOMEPAGE="https://www.ellogon.org/petasis/index.php/tcltk-projects/tkdnd"
 SRC_URI="https://github.com/petasis/tkdnd/archive/${MY_P}.tar.gz"
 
 LICENSE="BSD"


^ permalink raw reply related	[flat|nested] 14+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-tcltk/tkdnd/
@ 2024-02-25 10:00 Alfredo Tupone
  0 siblings, 0 replies; 14+ messages in thread
From: Alfredo Tupone @ 2024-02-25 10:00 UTC (permalink / raw
  To: gentoo-commits

commit:     ef59a6faf2e581966370964cf1b2990e9368439c
Author:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 25 09:59:31 2024 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Sun Feb 25 09:59:31 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ef59a6fa

dev-tcltk/tkdnd: drop QA warning

Closes: https://bugs.gentoo.org/906867
Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 dev-tcltk/tkdnd/{tkdnd-2.9.2.ebuild => tkdnd-2.9.2-r1.ebuild} | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

diff --git a/dev-tcltk/tkdnd/tkdnd-2.9.2.ebuild b/dev-tcltk/tkdnd/tkdnd-2.9.2-r1.ebuild
similarity index 86%
rename from dev-tcltk/tkdnd/tkdnd-2.9.2.ebuild
rename to dev-tcltk/tkdnd/tkdnd-2.9.2-r1.ebuild
index d9d4041ec14d..e3ccfb133723 100644
--- a/dev-tcltk/tkdnd/tkdnd-2.9.2.ebuild
+++ b/dev-tcltk/tkdnd/tkdnd-2.9.2-r1.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
 MY_P=${PN}-release-test-v${PV}
 
@@ -17,6 +17,10 @@ IUSE="debug threads X"
 DEPEND="dev-lang/tk:="
 RDEPEND=${DEPEND}
 
+QA_CONFIG_IMPL_DECL_SKIP=(
+	stat64 # used to test for Large File Support
+)
+
 S=${WORKDIR}/${PN}-${MY_P}
 
 RESTRICT="test"


^ permalink raw reply related	[flat|nested] 14+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-tcltk/tkdnd/
@ 2024-02-27  7:27 Alfredo Tupone
  0 siblings, 0 replies; 14+ messages in thread
From: Alfredo Tupone @ 2024-02-27  7:27 UTC (permalink / raw
  To: gentoo-commits

commit:     92d442a213ac4770228b3068b8a3113d86b12300
Author:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 27 07:26:42 2024 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Tue Feb 27 07:27:26 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=92d442a2

dev-tcltk/tkdnd: add 2.9.4

Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 dev-tcltk/tkdnd/Manifest           |  1 +
 dev-tcltk/tkdnd/tkdnd-2.9.4.ebuild | 42 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/dev-tcltk/tkdnd/Manifest b/dev-tcltk/tkdnd/Manifest
index 9ac6ca2ccc97..9f764ee50e47 100644
--- a/dev-tcltk/tkdnd/Manifest
+++ b/dev-tcltk/tkdnd/Manifest
@@ -1 +1,2 @@
 DIST tkdnd-release-test-v2.9.2.tar.gz 573739 BLAKE2B 4e9cae26542cc7774a0faf3d91a8a3f3b3b598735fcdb4e0565be26893514fe2e3f301ecaa7c698913f570b30f37ba0e2e890c6651ceebbc5d6cd9f66caf57c8 SHA512 dd1538ad884e8287d9c90c3b1565b95a047f552a271f921b0d0d7cb7bde8d8d6ad7e8c3247b647c09080c2e23c57ca11c30bde516cf66abcbe1dac6dd0e7cdc7
+DIST tkdnd-release-test-v2.9.4.tar.gz 1358824 BLAKE2B 7ea5039825cdc160232bc987a903642b2b2e54973c7f45142b5ea53e6b8ec2b2249416a0220217dc1ae1475dbcf432e2c8c72954f850eb2009512f9ef06b0644 SHA512 2eaf84235443c4a69e411674a7a7b27a1d43ded8aba7b09ed4d2f128cc2bfc9e38018c337004ce7bf0a0082dc0f87a7e89c7c2fc50dfedbb1047deef1d73daa2

diff --git a/dev-tcltk/tkdnd/tkdnd-2.9.4.ebuild b/dev-tcltk/tkdnd/tkdnd-2.9.4.ebuild
new file mode 100644
index 000000000000..014f6d7ec75a
--- /dev/null
+++ b/dev-tcltk/tkdnd/tkdnd-2.9.4.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MY_P=${PN}-release-test-v${PV}
+
+DESCRIPTION="Adds native drag & drop capabilities to tk toolkit"
+HOMEPAGE="https://www.ellogon.org/petasis/index.php/tcltk-projects/tkdnd"
+SRC_URI="https://github.com/petasis/tkdnd/archive/${MY_P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="debug threads X"
+
+DEPEND="dev-lang/tk:="
+RDEPEND=${DEPEND}
+
+QA_CONFIG_IMPL_DECL_SKIP=(
+	stat64 # used to test for Large File Support
+)
+
+S=${WORKDIR}/${PN}-${MY_P}
+
+RESTRICT="test"
+
+src_prepare() {
+	sed \
+		-e 's:-O2::g' \
+		-e 's:-fomit-frame-pointer::g' \
+		-e 's:-pipe::g' \
+		-i configure tclconfig/tcl.m4 || die
+	default
+}
+
+src_configure() {
+	econf \
+		$(use_with X x) \
+		$(use_enable debug symbols) \
+		$(use_enable threads)
+}


^ permalink raw reply related	[flat|nested] 14+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-tcltk/tkdnd/
@ 2024-02-27 12:56 Alfredo Tupone
  0 siblings, 0 replies; 14+ messages in thread
From: Alfredo Tupone @ 2024-02-27 12:56 UTC (permalink / raw
  To: gentoo-commits

commit:     3485c82cf6810dbfa62451ee3948702bd9db24f3
Author:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 27 12:55:36 2024 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Tue Feb 27 12:56:11 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3485c82c

dev-tcltk/tkdnd: require libXcursor

Closes: https://bugs.gentoo.org/925612
Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 dev-tcltk/tkdnd/{tkdnd-2.9.4.ebuild => tkdnd-2.9.4-r1.ebuild} | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/dev-tcltk/tkdnd/tkdnd-2.9.4.ebuild b/dev-tcltk/tkdnd/tkdnd-2.9.4-r1.ebuild
similarity index 94%
rename from dev-tcltk/tkdnd/tkdnd-2.9.4.ebuild
rename to dev-tcltk/tkdnd/tkdnd-2.9.4-r1.ebuild
index 014f6d7ec75a..f21df17ee8a9 100644
--- a/dev-tcltk/tkdnd/tkdnd-2.9.4.ebuild
+++ b/dev-tcltk/tkdnd/tkdnd-2.9.4-r1.ebuild
@@ -14,7 +14,10 @@ SLOT="0"
 KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
 IUSE="debug threads X"
 
-DEPEND="dev-lang/tk:="
+DEPEND="
+	dev-lang/tk:=
+	x11-libs/libXcursor
+"
 RDEPEND=${DEPEND}
 
 QA_CONFIG_IMPL_DECL_SKIP=(


^ permalink raw reply related	[flat|nested] 14+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-tcltk/tkdnd/
@ 2024-03-07 21:44 Alfredo Tupone
  0 siblings, 0 replies; 14+ messages in thread
From: Alfredo Tupone @ 2024-03-07 21:44 UTC (permalink / raw
  To: gentoo-commits

commit:     8923abc6589651615aee6b17d82dec18a8b56ab8
Author:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Thu Mar  7 21:37:55 2024 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Thu Mar  7 21:43:33 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8923abc6

dev-tcltk/tkdnd: drop QA warning

Closes: https://bugs.gentoo.org/926198
Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 dev-tcltk/tkdnd/tkdnd-2.9.4-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-tcltk/tkdnd/tkdnd-2.9.4-r1.ebuild b/dev-tcltk/tkdnd/tkdnd-2.9.4-r1.ebuild
index f21df17ee8a9..67c678d6df7a 100644
--- a/dev-tcltk/tkdnd/tkdnd-2.9.4-r1.ebuild
+++ b/dev-tcltk/tkdnd/tkdnd-2.9.4-r1.ebuild
@@ -21,7 +21,7 @@ DEPEND="
 RDEPEND=${DEPEND}
 
 QA_CONFIG_IMPL_DECL_SKIP=(
-	stat64 # used to test for Large File Support
+	opendir64 readdir64 rewinddir64 closedir64 stat64 # used on AIX
 )
 
 S=${WORKDIR}/${PN}-${MY_P}


^ permalink raw reply related	[flat|nested] 14+ messages in thread

end of thread, other threads:[~2024-03-07 21:44 UTC | newest]

Thread overview: 14+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2024-02-27  7:27 [gentoo-commits] repo/gentoo:master commit in: dev-tcltk/tkdnd/ Alfredo Tupone
  -- strict thread matches above, loose matches on Subject: below --
2024-03-07 21:44 Alfredo Tupone
2024-02-27 12:56 Alfredo Tupone
2024-02-25 10:00 Alfredo Tupone
2023-01-14  9:45 Alfredo Tupone
2022-12-04 21:29 Alfredo Tupone
2020-01-03 19:50 Alfredo Tupone
2020-01-03 14:30 Agostino Sarubbo
2020-01-03 12:00 Agostino Sarubbo
2019-12-17 20:12 Alfredo Tupone
2019-09-10  9:35 Alfredo Tupone
2019-09-10  7:10 Agostino Sarubbo
2019-09-10  7:06 Agostino Sarubbo
2018-11-02 20:33 Alfredo Tupone

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox